
QGIS Application - Bug report #11704

Adding valid layer but not in QgsMapLayerRegistry to QgsLayerTreeGroup crashes QGIS 2.6

2014-11-21 01:25 AM - Akbar Gumbira

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category:

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 19946

Description

This is a bit related to #11703

If we add a valid layer, but that layer is not registered in QgsMapLayerRegistry, this will crash QGIS 2.6.

A simple scenario, select any vector layer first and run this:

layer = iface.activeLayer()

layer_group = QgsLayerTreeGroup()

layer_group.addLayer(layer) <-- THIS IS FINE

print layer_group.dump()

new_layer = QgsVectorLayer(layer.source(), layer.name(), 'ogr')

layer_group.addLayer(new_layer) <- NOOOOOOOOO THE CRASH PART

print layer_group.dump()

History

#1 - 2014-11-21 01:28 AM - Akbar Gumbira

layer = iface.activeLayer()

layer_group = QgsLayerTreeGroup()

layer_group.addLayer(layer) #  <-- THIS IS FINE

print layer_group.dump()

new_layer = QgsVectorLayer(layer.source(), layer.name(), 'ogr')

layer_group.addLayer(new_layer) #  <- NOOOOOOOOO THE CRASH PART

print layer_group.dump()

#2 - 2014-11-23 01:27 PM - Tim Sutton

- Assignee changed from Tim Sutton to Martin Dobias

#3 - 2015-01-12 10:42 PM - Martin Dobias

- Resolution set to duplicate

- Status changed from Open to Closed

2025-04-27 1/2



The same thing as #11703
